summaryrefslogtreecommitdiff
path: root/tests/touch/fail-diag.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/fail-diag.sh')
-rwxr-xr-xtests/touch/fail-diag.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/touch/fail-diag.sh b/tests/touch/fail-diag.sh
new file mode 100755
index 0000000..58f0285
--- /dev/null
+++ b/tests/touch/fail-diag.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# make sure touch gives reasonable diagnostics
+
+# Copyright (C) 2001-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ touch
+skip_if_root_
+
+file=/no-such-dir/file
+
+touch $file > out 2>&1 && fail=1
+cat <<EOF > exp
+touch: cannot touch '$file': No such file or directory
+EOF
+
+compare exp out || fail=1
+
+Exit $fail